LibreOffice: ScannerManager Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

List of all members
ScannerManager Service Referencepublished

ScannerManager provides a simple method to access scanner devices (or other image producing devices) More...

`import"ScannerManager.idl";`

Inheritance diagram for ScannerManager:

## Additional Inherited Members
Public Member Functions inherited from XScannerManager2
boolean | configureScannerAndScan ([inout] com::sun::star::scanner::ScannerContext scannerContext, [in] com::sun::star::lang::XEventListener listener) raises ( com::sun::star::scanner::ScannerException )
| produce some kind of User Interface to let the user have a preview, configure the scan area, etc., it, and scan it returns FALSE if user cancelled this process More...
Public Member Functions inherited from XScannerManager
sequence< com::sun::star::scanner::ScannerContext > | getAvailableScanners ()
| returns all available scanner devices More...
boolean | configureScanner ([inout] com::sun::star::scanner::ScannerContext scannerContext) raises ( com::sun::star::scanner::ScannerException )
| produce some kind of User Interface to let the user have a preview, configure the scan area, etc., it returns FALSE if user cancelled this process More...
void | startScan ([in] com::sun::star::scanner::ScannerContext scannerContext, [in] com::sun::star::lang::XEventListener listener) raises ( com::sun::star::scanner::ScannerException )
| start the scanning process listener will be called when scan is complete the EventObject of the disposing call will contain the ScannerManager if the scan was successful, an empty interface otherwise More...
com::sun::star::scanner::ScanError | getError ([in] com::sun::star::scanner::ScannerContext scannerContext) raises ( com::sun::star::scanner::ScannerException )
| get the state of scanning after completion of scan More...
com::sun::star::awt::XBitmap | getBitmap ([in] com::sun::star::scanner::ScannerContext scannerContext) raises ( com::sun::star::scanner::ScannerException )
| get the image after completion of scan More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

ScannerManager provides a simple method to access scanner devices (or other image producing devices)

The documentation for this service was generated from the following file:

- com/sun/star/scanner/ScannerManager.idl